
#ifdef VERTEX

out vec2 vTexcoord;

void main() {
	gl_Position = ftransform();
	vTexcoord = (gl_TextureMatrix[0] * gl_MultiTexCoord0).xy;
}

#endif

#ifdef FRAGMENT

uniform sampler2D colortex2;

//>>IN-OUT<<//
in vec2 vTexcoord;

uniform float viewWidth, viewHeight;


#include "/lib/blur/KawaseBlur.glsl"
void main() {
	
	vec2 texelSize = vec2(1.0 / viewWidth,1.0 / viewHeight);

    vec3 blur = vpKawaseBlur(colortex2,vTexcoord,texelSize,1.5);


/* DRAWBUFFERS:3*/
	gl_FragData[0] = vec4(blur, 1.0); //gcolor
}
#endif

